public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-metrics/mysqld_exporter/files/, app-metrics/mysqld_exporter/
@ 2018-10-09 12:17 Thomas Deutschmann
  0 siblings, 0 replies; 2+ messages in thread
From: Thomas Deutschmann @ 2018-10-09 12:17 UTC (permalink / raw
  To: gentoo-commits

commit:     dc976b4dcc5422f9291b9680f7b394981c76f970
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  9 09:29:24 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Oct  9 12:16:59 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc976b4d

app-metrics/mysqld_exporter: bump to v0.11.0

Note: The format of the mysqld_exporter command line flags has
changed. Instead of a single dash, all flags now use a double dash.

Package-Manager: Portage-2.3.50, Repoman-2.3.11
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-metrics/mysqld_exporter/Manifest               |  1 +
 .../mysqld_exporter/files/mysqld_exporter-r1.confd | 26 ++++++++
 .../mysqld_exporter/mysqld_exporter-0.11.0.ebuild  | 71 ++++++++++++++++++++++
 3 files changed, 98 insertions(+)

diff --git a/app-metrics/mysqld_exporter/Manifest b/app-metrics/mysqld_exporter/Manifest
index e55c4730f1b..e9ac6d5ab2d 100644
--- a/app-metrics/mysqld_exporter/Manifest
+++ b/app-metrics/mysqld_exporter/Manifest
@@ -1 +1,2 @@
 DIST mysqld_exporter-0.10.0.tar.gz 971604 BLAKE2B ec077b7b6a15f6173e5cc04e741c51c4d26a214601da8eb1aede49ee325f52bea2140b8e5b3bdbc2a1e527e40c95099dca2a57501d44a26e787cdc330f4aa8b8 SHA512 0a7b0ff537ad59a9b64aa18dfe1d1eb9253b12ae566d5c151555fbd4457b7e65890b6569632b452ae317b3acbfa94c12d96f6fb6e4f982b9b2161fc4747330f5
+DIST mysqld_exporter-0.11.0.tar.gz 1393809 BLAKE2B ac6b04d2ad24f1c083c411f10bbb6724c2458be357ff60e1950aa624955497432295726e7f739dff03aa1ed8290d852a9511e01893f5a2b293e79b3214270578 SHA512 69f39ecc1b17bfcfd3acdad9d92a70c1daf3f0c9690770fa390a818bd29f43a98bfe4856f22b48e9d2d9945ce98ded0ea54c95010755a85ebc3ebfdc353d0c24

diff --git a/app-metrics/mysqld_exporter/files/mysqld_exporter-r1.confd b/app-metrics/mysqld_exporter/files/mysqld_exporter-r1.confd
new file mode 100644
index 00000000000..2b7f9bf17a3
--- /dev/null
+++ b/app-metrics/mysqld_exporter/files/mysqld_exporter-r1.confd
@@ -0,0 +1,26 @@
+# /etc/conf.d/mysqld_exporter
+
+# PID file
+#EXPORTER_PIDFILE="/run/${RC_SVCNAME}.pid"
+
+# The termination timeout (start-stop-daemon parameter "retry") ensures
+# that the service will be terminated within a given time (60 + 5 seconds
+# per default) when you are stopping the service.
+#EXPORTER_TERMTIMEOUT="TERM/60/KILL/5"
+
+# User to run exporter as
+#EXPORTER_USER="mysqld_exporter"
+
+# User group to run exporter as
+#EXPORTER_GROUP="mysqld_exporter"
+
+# You can use this configuration option to pass additional options to the
+# start-stop-daemon, see start-stop-daemon(8) for more details.
+# Per default we wait 1000ms after we have started the service to ensure
+# that the daemon is really up and running.
+#EXPORTER_SSDARGS="--wait 1000"
+
+# Exporter flags
+# See `mysqld_exporter --help` for more details
+EXPORTER_FLAGS="--log.level=info"
+#EXPORTER_FLAGS="${EXPORTER_FLAGS} --yourAdditionalFlag"

diff --git a/app-metrics/mysqld_exporter/mysqld_exporter-0.11.0.ebuild b/app-metrics/mysqld_exporter/mysqld_exporter-0.11.0.ebuild
new file mode 100644
index 00000000000..3571c885d16
--- /dev/null
+++ b/app-metrics/mysqld_exporter/mysqld_exporter-0.11.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+inherit eapi7-ver user golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/prometheus/mysqld_exporter"
+EGIT_COMMIT="v${PV/_rc/-rc.}"
+MYSQLD_EXPORTER_COMMIT="8068006"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Prometheus exporter for MySQL server metrics"
+HOMEPAGE="https://github.com/prometheus/mysqld_exporter"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+
+DEPEND="dev-util/promu"
+
+pkg_setup() {
+	enewgroup ${PN}
+	enewuser ${PN} -1 -1 /var/lib/mysqld_exporter ${PN}
+}
+
+src_prepare() {
+	default
+	sed -i -e "s/{{.Revision}}/${MYSQLD_EXPORTER_COMMIT}/" src/${EGO_PN}/.promu.yml || die
+}
+
+src_compile() {
+	pushd src/${EGO_PN} || die
+	mkdir -p bin || die
+	GOPATH="${S}" promu build -v --prefix bin || die
+	popd || die
+}
+
+src_install() {
+	pushd src/${EGO_PN} || die
+	dobin bin/mysqld_exporter
+	dodoc {README,CHANGELOG,CONTRIBUTING}.md
+	popd || die
+
+	keepdir /var/lib/mysqld_exporter /var/log/mysqld_exporter
+	fowners ${PN}:${PN} /var/lib/mysqld_exporter /var/log/mysqld_exporter
+	fperms 0770 /var/lib/mysqld_exporter
+
+	newinitd "${FILESDIR}"/${PN}-r1.initd ${PN}
+	newconfd "${FILESDIR}"/${PN}-r1.confd ${PN}
+
+	insinto /etc/logrotate.d/
+	newins "${FILESDIR}"/${PN}.logrotate ${PN}
+}
+
+pkg_postinst() {
+	if [[ -z "${REPLACING_VERSIONS}" ]]; then
+		# This is a new installation
+		elog "Create \"${EROOT%/}/var/lib/mysqld_exporter/.my.cnf\" to read MySQL credentials from file."
+	else
+		local _replacing_version=
+		for _replacing_version in ${REPLACING_VERSIONS}; do
+			if ! ver_test "${_replacing_version}" -ge "0.11.0"; then
+				elog "Starting with ${PN}-0.11.0, command-line flags will require double dashes (--)."
+				elog "You must update your configuration or ${PN} won't start."
+
+				break
+			fi
+		done
+	fi
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-metrics/mysqld_exporter/files/, app-metrics/mysqld_exporter/
@ 2020-07-07  0:31 Thomas Deutschmann
  0 siblings, 0 replies; 2+ messages in thread
From: Thomas Deutschmann @ 2020-07-07  0:31 UTC (permalink / raw
  To: gentoo-commits

commit:     966c57cc09de18a22adeafe6bcac336e1e8dcb72
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Jul  7 00:30:46 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Jul  7 00:30:46 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=966c57cc

app-metrics/mysqld_exporter: skip impossible tests

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 .../files/mysqld_exporter-0.12.1-skip-tests.patch  | 22 ++++++++++++++++++++++
 .../mysqld_exporter-0.12.1_p20200622.ebuild        |  2 ++
 2 files changed, 24 insertions(+)

diff --git a/app-metrics/mysqld_exporter/files/mysqld_exporter-0.12.1-skip-tests.patch b/app-metrics/mysqld_exporter/files/mysqld_exporter-0.12.1-skip-tests.patch
new file mode 100644
index 00000000000..ea59067cb28
--- /dev/null
+++ b/app-metrics/mysqld_exporter/files/mysqld_exporter-0.12.1-skip-tests.patch
@@ -0,0 +1,22 @@
+--- a/collector/exporter_test.go
++++ b/collector/exporter_test.go
+@@ -71,6 +71,8 @@ func TestExporter(t *testing.T) {
+ }
+ 
+ func TestGetMySQLVersion(t *testing.T) {
++	t.Skip("Test requires running mysqld")
++
+ 	if testing.Short() {
+ 		t.Skip("-short is passed, skipping test")
+ 	}
+--- a/mysqld_exporter_test.go
++++ b/mysqld_exporter_test.go
+@@ -142,6 +142,8 @@ type bin struct {
+ 
+ // TestBin builds, runs and tests binary.
+ func TestBin(t *testing.T) {
++	t.Skip("Test requires network access")
++
+ 	var err error
+ 	binName := "mysqld_exporter"
+ 

diff --git a/app-metrics/mysqld_exporter/mysqld_exporter-0.12.1_p20200622.ebuild b/app-metrics/mysqld_exporter/mysqld_exporter-0.12.1_p20200622.ebuild
index 80f98b83862..5ba0eed6995 100644
--- a/app-metrics/mysqld_exporter/mysqld_exporter-0.12.1_p20200622.ebuild
+++ b/app-metrics/mysqld_exporter/mysqld_exporter-0.12.1_p20200622.ebuild
@@ -28,6 +28,8 @@ RDEPEND="${DEPEND}"
 # Comment this for a normal release.
 S="${WORKDIR}/${PN}-${MY_PV}"
 
+PATCHES=( "${FILESDIR}"/${PN}-0.12.1-skip-tests.patch )
+
 src_prepare() {
 	default
 


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2020-07-07  0:31 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-10-09 12:17 [gentoo-commits] repo/gentoo:master commit in: app-metrics/mysqld_exporter/files/, app-metrics/mysqld_exporter/ Thomas Deutschmann
  -- strict thread matches above, loose matches on Subject: below --
2020-07-07  0:31 Thomas Deutschmann

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox